;;; blank-lines.el --- Utils for managing blank lines in text.

;; $Id: blank-lines.el,v 1.4 2003/01/10 05:57:59 burton Exp $

;; Copyright (C) 2000-2003 Free Software Foundation, Inc.
;; Copyright (C) 2000-2003 Kevin A. Burton (burton@openprivacy.org)

;; Author: Kevin A. Burton (burton@openprivacy.org)
;; Maintainer: Kevin A. Burton (burton@openprivacy.org)
;; Location: http://relativity.yi.org
;; Keywords:
;; Version: 1.0.0

;; This file is [not yet] part of GNU Emacs.

;; This program is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free Software
;; Foundation; either version 2 of the License, or any later version.
;;
;; This program is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;; details.
;;
;; You should have received a copy of the GNU General Public License along with
;; this program; if not, write to the Free Software Foundation, Inc., 59 Temple
;; Place - Suite 330, Boston, MA 02111-1307, USA.

;;; Commentary:

;;; History:

;; Mon Oct 29 2001 05:12 PM (burton@openprivacy.org): ;; There is already a
;; delete-blank-lines in simple.el.  Need to rework this to be
;; delete-all-blank-lines.

;;; Code:

(defvar blank-lines-regexp "^[ ]*\n[ ]*\n" "Regexp used for finding blank lines..")

(defun delete-all-blank-lines()
  "Delete duplicate blank lines.  IE if we have two lines in a row, with now
content, delete them."
  (interactive)

  (save-excursion
    (let((count 0))
    
      (goto-char (point-min))
      
      (while (and (not (equal (point) (point-max)))
                  (re-search-forward blank-lines-regexp nil t))

        (replace-match "\n")

        (setq count (1+ count))
        
        (goto-char (match-beginning 0)))

      (message "Deleted %i blank lines." count))))

(provide 'blank-lines)

;;; blank-lines.el ends here
